using System;

internal sealed class Delegate803 : MulticastDelegate
{
	public extern bool Invoke(object object_0);

	public static bool smethod_0(object object_0, Delegate803 delegate803_1)
	{
		return delegate803_1(object_0);
	}

	public extern Delegate803(object object_0, IntPtr intptr_0);

	static Delegate803()
	{
		Class10.smethod_13(typeof(Delegate803).TypeHandle);
	}

	internal static Delegate803 delegate803_0;
}
